JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32.COM
Class COMUtils

    java.lang.Object
      com.sun.jna.platform.win32.COM.COMUtils

    public abstract class COMUtils

extends java.lang.Object

The Class COMUtils.

Nested Class Summary
`static class` `COMUtils.COMInfo`

Field Summary
`static int` `CLASS_E_NOAGGREGATION` The Constant CO_E_NOTINITIALIZED.
`static int` `CO_E_NOTINITIALIZED` The Constant CO_E_NOTINITIALIZED.
`static int` `CO_E_OBJNOTCONNECTED` The Constant CO_E_OBJNOTCONNECTED.
`static int` `DISP_E_ARRAYISLOCKED` The Constant DISP_E_ARRAYISLOCKED.
`static int` `DISP_E_BADCALLEE` The Constant DISP_E_BADCALLEE.
`static int` `DISP_E_BADINDEX` The Constant DISP_E_BADINDEX.
`static int` `DISP_E_BADPARAMCOUNT` The Constant DISP_E_BADPARAMCOUNT.
`static int` `DISP_E_BADVARTYPE` The Constant DISP_E_BADVARTYPE.
`static int` `DISP_E_BUFFERTOOSMALL` The Constant DISP_E_BUFFERTOOSMALL.
`static int` `DISP_E_DIVBYZERO` The Constant DISP_E_DIVBYZERO.
`static int` `DISP_E_EXCEPTION` The Constant DISP_E_EXCEPTION.
`static int` `DISP_E_MEMBERNOTFOUND` The Constant DISP_E_MEMBERNOTFOUND.
`static int` `DISP_E_NONAMEDARGS` The Constant DISP_E_NONAMEDARGS.
`static int` `DISP_E_NOTACOLLECTION` The Constant DISP_E_NOTACOLLECTION.
`static int` `DISP_E_OVERFLOW` The Constant DISP_E_OVERFLOW.
`static int` `DISP_E_PARAMNOTFOUND` The Constant DISP_E_PARAMNOTFOUND.
`static int` `DISP_E_PARAMNOTOPTIONAL` The Constant DISP_E_PARAMNOTOPTIONAL.
`static int` `DISP_E_TYPEMISMATCH` The Constant DISP_E_TYPEMISMATCH.
`static int` `DISP_E_UNKNOWNINTERFACE` The Constant DISP_E_UNKNOWNINTERFACE.
`static int` `DISP_E_UNKNOWNLCID` The Constant DISP_E_UNKNOWNLCID.
`static int` `DISP_E_UNKNOWNNAME` The Constant DISP_E_UNKNOWNNAME.
`static int` `E_ABORT` The Constant E_ABORT.
`static int` `E_ACCESSDENIED` The Constant E_ACCESSDENIED.
`static int` `E_FAIL` The Constant E_FAIL.
`static int` `E_HANDLE` The Constant E_HANDLE.
`static int` `E_INVALIDARG` The Constant E_INVALIDARG.
`static int` `E_NOINTERFACE` The Constant E_NOINTERFACE.
`static int` `E_NOTIMPL` The Constant E_NOTIMPL.
`static int` `E_OUTOFMEMORY` The Constant E_OUTOFMEMORY.
`static int` `E_POINTER` The Constant E_POINTER.
`static int` `E_UNEXPECTED` The Constant E_UNEXPECTED.
`static int` `REGDB_E_CLASSNOTREG` The Constant CO_E_NOTINITIALIZED.
`static int` `S_FALSE` The Constant CO_E_NOTINITIALIZED.
`static int` `S_OK` The Constant CO_E_NOTINITIALIZED.

Constructor Summary
`COMUtils()`

Method Summary
`static void` `checkAutoRC(WinNT.HRESULT hr)` Throw new exception.
`static void` `checkAutoRC(WinNT.HRESULT hr, OaIdl.EXCEPINFO pExcepInfo, IntByReference puArgErr)` Throw new exception.
`static void` `checkTypeLibRC(WinNT.HRESULT hr)`
`static boolean` `FAILED(int hr)` Failed.
`static boolean` `FAILED(WinNT.HRESULT hr)` Failed.
`static java.util.ArrayList<COMUtils.COMInfo>` `getAllCOMInfoOnSystem()`
`static boolean` `SUCCEEDED(int hr)` Succeeded.
`static boolean` `SUCCEEDED(WinNT.HRESULT hr)` Succeeded.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### S_OK

    public static final int S_OK

  The Constant CO_E_NOTINITIALIZED.

  See Also:
    Constant Field Values

### S_FALSE

    public static final int S_FALSE

  The Constant CO_E_NOTINITIALIZED.

  See Also:
    Constant Field Values

### REGDB_E_CLASSNOTREG

    public static final int REGDB_E_CLASSNOTREG

  The Constant CO_E_NOTINITIALIZED.

  See Also:
    Constant Field Values

### CLASS_E_NOAGGREGATION

    public static final int CLASS_E_NOAGGREGATION

  The Constant CO_E_NOTINITIALIZED.

  See Also:
    Constant Field Values

### CO_E_NOTINITIALIZED

    public static final int CO_E_NOTINITIALIZED

  The Constant CO_E_NOTINITIALIZED.

  See Also:
    Constant Field Values

### E_UNEXPECTED

    public static final int E_UNEXPECTED

  The Constant E_UNEXPECTED.

  See Also:
    Constant Field Values

### E_NOTIMPL

    public static final int E_NOTIMPL

  The Constant E_NOTIMPL.

  See Also:
    Constant Field Values

### E_OUTOFMEMORY

    public static final int E_OUTOFMEMORY

  The Constant E_OUTOFMEMORY.

  See Also:
    Constant Field Values

### E_INVALIDARG

    public static final int E_INVALIDARG

  The Constant E_INVALIDARG.

  See Also:
    Constant Field Values

### E_NOINTERFACE

    public static final int E_NOINTERFACE

  The Constant E_NOINTERFACE.

  See Also:
    Constant Field Values

### E_POINTER

    public static final int E_POINTER

  The Constant E_POINTER.

  See Also:
    Constant Field Values

### E_HANDLE

    public static final int E_HANDLE

  The Constant E_HANDLE.

  See Also:
    Constant Field Values

### E_ABORT

    public static final int E_ABORT

  The Constant E_ABORT.

  See Also:
    Constant Field Values

### E_FAIL

    public static final int E_FAIL

  The Constant E_FAIL.

  See Also:
    Constant Field Values

### E_ACCESSDENIED

    public static final int E_ACCESSDENIED

  The Constant E_ACCESSDENIED.

  See Also:
    Constant Field Values

### DISP_E_BADVARTYPE

    public static final int DISP_E_BADVARTYPE

  The Constant DISP_E_BADVARTYPE.

  See Also:
    Constant Field Values

### DISP_E_NOTACOLLECTION

    public static final int DISP_E_NOTACOLLECTION

  The Constant DISP_E_NOTACOLLECTION.

  See Also:
    Constant Field Values

### DISP_E_MEMBERNOTFOUND

    public static final int DISP_E_MEMBERNOTFOUND

  The Constant DISP_E_MEMBERNOTFOUND.

  See Also:
    Constant Field Values

### DISP_E_ARRAYISLOCKED

    public static final int DISP_E_ARRAYISLOCKED

  The Constant DISP_E_ARRAYISLOCKED.

  See Also:
    Constant Field Values

### DISP_E_EXCEPTION

    public static final int DISP_E_EXCEPTION

  The Constant DISP_E_EXCEPTION.

  See Also:
    Constant Field Values

### DISP_E_TYPEMISMATCH

    public static final int DISP_E_TYPEMISMATCH

  The Constant DISP_E_TYPEMISMATCH.

  See Also:
    Constant Field Values

### DISP_E_BADINDEX

    public static final int DISP_E_BADINDEX

  The Constant DISP_E_BADINDEX.

  See Also:
    Constant Field Values

### DISP_E_BADCALLEE

    public static final int DISP_E_BADCALLEE

  The Constant DISP_E_BADCALLEE.

  See Also:
    Constant Field Values

### DISP_E_OVERFLOW

    public static final int DISP_E_OVERFLOW

  The Constant DISP_E_OVERFLOW.

  See Also:
    Constant Field Values

### DISP_E_UNKNOWNINTERFACE

    public static final int DISP_E_UNKNOWNINTERFACE

  The Constant DISP_E_UNKNOWNINTERFACE.

  See Also:
    Constant Field Values

### DISP_E_DIVBYZERO

    public static final int DISP_E_DIVBYZERO

  The Constant DISP_E_DIVBYZERO.

  See Also:
    Constant Field Values

### DISP_E_UNKNOWNLCID

    public static final int DISP_E_UNKNOWNLCID

  The Constant DISP_E_UNKNOWNLCID.

  See Also:
    Constant Field Values

### DISP_E_PARAMNOTOPTIONAL

    public static final int DISP_E_PARAMNOTOPTIONAL

  The Constant DISP_E_PARAMNOTOPTIONAL.

  See Also:
    Constant Field Values

### DISP_E_PARAMNOTFOUND

    public static final int DISP_E_PARAMNOTFOUND

  The Constant DISP_E_PARAMNOTFOUND.

  See Also:
    Constant Field Values

### DISP_E_BADPARAMCOUNT

    public static final int DISP_E_BADPARAMCOUNT

  The Constant DISP_E_BADPARAMCOUNT.

  See Also:
    Constant Field Values

### DISP_E_BUFFERTOOSMALL

    public static final int DISP_E_BUFFERTOOSMALL

  The Constant DISP_E_BUFFERTOOSMALL.

  See Also:
    Constant Field Values

### DISP_E_UNKNOWNNAME

    public static final int DISP_E_UNKNOWNNAME

  The Constant DISP_E_UNKNOWNNAME.

  See Also:
    Constant Field Values

### DISP_E_NONAMEDARGS

    public static final int DISP_E_NONAMEDARGS

  The Constant DISP_E_NONAMEDARGS.

  See Also:
    Constant Field Values

### CO_E_OBJNOTCONNECTED

    public static final int CO_E_OBJNOTCONNECTED

  The Constant CO_E_OBJNOTCONNECTED.

  See Also:
    Constant Field Values

Constructor Detail

### COMUtils

    public COMUtils()

Method Detail

### SUCCEEDED

    public static boolean SUCCEEDED(WinNT.HRESULT hr)

  Succeeded.

  Parameters:
    `hr` - the hr
  Returns:
    true, if successful

### SUCCEEDED

    public static boolean SUCCEEDED(int hr)

  Succeeded.

  Parameters:
    `hr` - the hr
  Returns:
    true, if successful

### FAILED

    public static boolean FAILED(WinNT.HRESULT hr)

  Failed.

  Parameters:
    `hr` - the hr
  Returns:
    true, if successful

### FAILED

    public static boolean FAILED(int hr)

  Failed.

  Parameters:
    `hr` - the hr
  Returns:
    true, if successful

### checkAutoRC

    public static void checkAutoRC(WinNT.HRESULT hr)

  Throw new exception.

  Parameters:
    `hr` - the hr

### checkAutoRC

    public static void checkAutoRC(WinNT.HRESULT hr,
                                   OaIdl.EXCEPINFO pExcepInfo,
                                   IntByReference puArgErr)

  Throw new exception.

  Parameters:
    `hr` - the hr
    `pExcepInfo` - the excep info
    `puArgErr` - the pu arg err

### checkTypeLibRC

    public static void checkTypeLibRC(WinNT.HRESULT hr)

### getAllCOMInfoOnSystem

    public static java.util.ArrayList<COMUtils.COMInfo> getAllCOMInfoOnSystem()

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.